petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPQCGSetTrustRegionRadius

Sets the radius of the trust region.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPQCGSetTrustRegionRadius(KSP ksp,PetscReal delta)

Logically Collective on ksp

### Input Parameters

| ksp | - the iterative context
| delta | - the trust region radius (Infinity is the default)

### Options Database Key

-ksp_qcg_trustregionradius <delta> -

### Level

advanced

### Location

src/ksp/ksp/impls/qcg/qcg.c

### Implementations

KSPQCGSetTrustRegionRadius_QCG in src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages